Bug 152310 - gnome-volume-control crashes in multiple cases
gnome-volume-control crashes in multiple cases
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-28 00:20 EST by Nathan G. Grennan
Modified: 2013-03-13 00:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-07 12:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2005-03-28 00:20:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050322 Galeon/1.3.20

Description of problem:
I find gnome-volume-control crashes alot. I see it crash when pausing video in mplayer. I see it inconsistently crash when adding tracks under Edit|Preferences. I see it crash when starting videos with mplayer. I think I have seen it crash in other cases. I installed gnome-media-debuginfo and here is the backtrace.

Backtrace was generated from '/usr/bin/gnome-volume-control'

Using host libthread_db library "/lib64/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 46912496372896 (LWP 7123)]
0x0000003ff470bfa5 in waitpid () from /lib64/tls/libpthread.so.0
#0  0x0000003ff470bfa5 in waitpid () from /lib64/tls/libpthread.so.0
#1  0x0000003ff9f54ad4 in libgnomeui_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
#2  <signal handler called>
#3  0x0000003ff3c2ed70 in raise () from /lib64/tls/libc.so.6
#4  0x0000003ff3c301d0 in abort () from /lib64/tls/libc.so.6
#5  0x0000003ff3c27f8b in __assert_fail () from /lib64/tls/libc.so.6
#6  0x0000003ffac410ac in snd_mixer_selem_get_playback_volume ()
   from /lib64/libasound.so.2
#7  0x00002aaaaaf16047 in gst_alsa_mixer_get_type ()
   from /usr/lib64/gstreamer-0.8/libgstalsa.so
#8  0x000000000040a2cd in gnome_volume_control_volume_ask (vol=0x70c4f0, 
    real_zero=0x7fffffce6754, slider_zero=0x7fffffce6750) at volume.c:543
#9  0x00000000004084ed in cb_check (data=) at track.c:118
#10 0x0000003ff672890b in g_main_context_wakeup ()
   from /usr/lib64/libglib-2.0.so.0
#11 0x0000003ff6726b8d in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
#12 0x0000003ff6729d2f in g_main_context_check ()
   from /usr/lib64/libglib-2.0.so.0
#13 0x0000003ff6729fda in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#14 0x0000003ff7614030 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#15 0x0000000000407533 in main (argc=) at main.c:268

Thread 1 (Thread 46912496372896 (LWP 7123)):
#0  0x0000003ff470bfa5 in waitpid () from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x0000003ff9f54ad4 in libgnomeui_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x0000003ff3c2ed70 in raise () from /lib64/tls/libc.so.6
No symbol table info available.
#4  0x0000003ff3c301d0 in abort () from /lib64/tls/libc.so.6
No symbol table info available.
#5  0x0000003ff3c27f8b in __assert_fail () from /lib64/tls/libc.so.6
No symbol table info available.
#6  0x0000003ffac410ac in snd_mixer_selem_get_playback_volume ()
   from /lib64/libasound.so.2
No symbol table info available.
#7  0x00002aaaaaf16047 in gst_alsa_mixer_get_type ()
   from /usr/lib64/gstreamer-0.8/libgstalsa.so
No symbol table info available.
#8  0x000000000040a2cd in gnome_volume_control_volume_ask (vol=0x70c4f0, 
    real_zero=0x7fffffce6754, slider_zero=0x7fffffce6750) at volume.c:543
	scales = 

Version-Release number of selected component (if applicable):
gnome-media-2.10.0-1

How reproducible:
Always

Steps to Reproduce:
1. Open gnome-volume-control
2. Start mplayer
  

Actual Results:  Crash

Expected Results:  No crash

Additional info:

Note You need to log in before you can comment on or make changes to this bug.